> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nuon.co/llms.txt
> Use this file to discover all available pages before exploring further.

# get an app config template

> Create an application template which provides a fully rendered config that can be modified and used to kickstart any application.




## OpenAPI

````yaml get /v1/apps/{app_id}/template-config
openapi: 3.0.3
info:
  contact:
    email: support@nuon.co
    name: Nuon Support
  description: API for managing nuon apps, components, installs, and actions.
  title: Nuon
  version: 0.19.1037
servers:
  - url: https://api.nuon.co/
security: []
tags:
  - description: policy-reports
    name: policy-reports
  - description: general
    name: general
  - description: actions
    name: actions
  - description: runbooks
    name: runbooks
  - description: apps
    name: apps
  - description: components
    name: components
  - description: onboarding
    name: onboarding
  - description: slack
    name: slack
  - description: installs
    name: installs
  - description: orgs
    name: orgs
  - description: notebooks
    name: notebooks
  - description: runners/runner
    name: runners/runner
  - description: queues
    name: queues
  - description: actions/runner
    name: actions/runner
  - description: auth
    name: auth
  - description: runners
    name: runners
  - description: vcs
    name: vcs
  - description: accounts
    name: accounts
paths:
  /v1/apps/{app_id}/template-config:
    get:
      tags:
        - apps
      summary: get an app config template
      description: >
        Create an application template which provides a fully rendered config
        that can be modified and used to kickstart any application.
      operationId: GetAppConfigTemplate
      parameters:
        - description: app ID
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: app template type
          in: query
          name: type
          required: true
          schema:
            enum:
              - aws-ecs
              - aws-ecs-byovpc
              - aws-eks
              - aws-eks-byovpc
              - azure-aks
              - flat
              - top-level
              - installer
              - runner
              - sandbox
              - inputs
              - terraform
              - terraformInfra
              - helm
              - docker-build
              - job
              - container-image
              - ecr-container-image
            type: string
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/service.AppConfigTemplate'
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Internal Server Error
      security:
        - APIKey: []
        - OrgID: []
components:
  schemas:
    service.AppConfigTemplate:
      properties:
        content:
          type: string
        filename:
          type: string
        format:
          $ref: '#/components/schemas/app.AppConfigVersion'
        type:
          $ref: '#/components/schemas/service.AppConfigTemplateType'
      type: object
    stderr.ErrResponse:
      properties:
        description:
          type: string
        error:
          type: string
        user_error:
          type: boolean
      type: object
    app.AppConfigVersion:
      enum:
        - ''
        - v2
      type: string
    service.AppConfigTemplateType:
      enum:
        - aws-ecs
        - aws-ecs-byovpc
        - aws-eks
        - aws-eks-byovpc
        - azure-aks
        - flat
        - top-level
        - installer
        - runner
        - sandbox
        - inputs
        - terraform
        - terraformInfra
        - helm
        - docker-build
        - job
        - container-image
        - ecr-container-image
      type: string
  securitySchemes:
    APIKey:
      description: Type "Bearer" followed by a space and token.
      in: header
      name: Authorization
      type: apiKey
    OrgID:
      description: Nuon org ID
      in: header
      name: X-Nuon-Org-ID
      type: apiKey

````